From e63070b04054201baf631c2946ce75206e1b5878 Mon Sep 17 00:00:00 2001
From: Vicente Jimenez Aguilar <googuy@gmail.com>
Date: Wed, 10 Jun 2009 14:24:33 +0200
Subject: [PATCH] Enable aspectratio parameter in the mozilla plugin.

---
 projects/mozilla/vlcplugin.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/projects/mozilla/vlcplugin.cpp b/projects/mozilla/vlcplugin.cpp
index 552d6fd..0f3d63b 100644
--- a/projects/mozilla/vlcplugin.cpp
+++ b/projects/mozilla/vlcplugin.cpp
@@ -179,6 +179,11 @@ NPError VlcPlugin::init(int argc, char* const argn[], char* const argv[])
                 ppsz_argv[ppsz_argc++] = "--no-loop";
             }
         }
+        else if( !strcmp( argn[i], "aspectratio" ) )
+        {
+            ppsz_argv[ppsz_argc++] = "--aspect-ratio";
+            ppsz_argv[ppsz_argc++] = argv[i];
+        }
         else if( !strcmp( argn[i], "version")
               || !strcmp( argn[i], "progid") )
         {
-- 
1.6.0.6

